ranges::experimental::shared_closure_base Struct Reference
Inheritance diagram for ranges::experimental::shared_closure_base:

## Friends

template<typename Rng , typename SharedFn >
requires range< Rng > &&!viewable_range< Rng > &&constructible_from< detail::decay_t< Rng >, Rng > friend constexpr auto | operator| (Rng &&rng, shared_closure< SharedFn > vw)
template<typename SharedFn , typename Pipeable >
constexpr auto | operator| (shared_closure< SharedFn > sh, Pipeable pipe) -> shared_closure< composed< Pipeable, SharedFn >> requires(is_pipeable_v< Pipeable >)